# calng

calng is a collection of Karabo devices to perform online processing of 2D X-ray detector data at runtime. It is the successor of the calPy package.

# CalCat secrets and deployment
Correction devices each run their own `calibration_client.CalibrationClient`, so they need to have credentials for CalCat.
They expect to be able to load these from a JSON file; by default, this will be in `$KARABO/var/data/calibration-client-secrets.json` (`var/data` is CWD of Karabo devices).
The file should look something like:

```json
{
	"base_url": "https://in.xfel.eu/test_calibration",
	"client_id": "[sort of secret]",
	"client_secret": "[actual secret]",
	"user_email": "[eh, not that secret]",
	"caldb_store_path": "/gpfs/exfel/d/cal/caldb_store"
}
```

For deployment, you'll want `/calibration` instead of `/test_calibration` and the caldb store as seen from ONC will be `/common/cal/caldb_store`.
